Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1939762 - openexr-3.1.1 is available
Summary: openexr-3.1.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openexr
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1982676
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-17 01:45 UTC by Upstream Release Monitoring
Modified: 2021-08-22 18:47 UTC (History)
4 users (show)

Fixed In Version: openexr-3.1.1-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-22 18:47:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2021-03-17 01:45:21 UTC
Latest upstream release: 3.0.0-beta
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 1 Upstream Release Monitoring 2021-03-29 11:06:02 UTC
Latest upstream release: 3.0.1-beta
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 2 Upstream Release Monitoring 2021-04-01 20:20:48 UTC
Latest upstream release: 3.0.1
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 3 Upstream Release Monitoring 2021-05-18 16:17:50 UTC
Latest upstream release: 3.0.2
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 4 Upstream Release Monitoring 2021-05-19 06:03:50 UTC
Latest upstream release: 3.0.3
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 5 Upstream Release Monitoring 2021-06-02 22:08:58 UTC
Latest upstream release: 3.0.4-rc1
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 6 Upstream Release Monitoring 2021-06-03 18:43:42 UTC
Latest upstream release: 3.0.4
Current version/release in rawhide: 2.5.5-1.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 7 Ben Beasley 2021-06-06 12:39:49 UTC
Just a note that I haven’t had any luck so far building luminance-hdr with the OpenEXR 3.x COPR (https://bugzilla.redhat.com/show_bug.cgi?id=1968167). That doesn’t block this update, but it does mean I may have to retire the package in Fedora 35 if upstream doesn’t provide support for OpenEXR 3.x and nobody comes up with a workaround.

Comment 8 Upstream Release Monitoring 2021-06-30 20:17:23 UTC
Latest upstream release: 3.0.5-rc2
Current version/release in rawhide: 2.5.5-2.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 9 Ben Beasley 2021-07-01 01:36:21 UTC
I’ve taken the liberty of setting “rc;beta” as the version filter for openexr on release-monitoring.org so you don’t keep getting bugs filed for pre-release versions.

Comment 10 Upstream Release Monitoring 2021-07-02 15:35:39 UTC
Latest upstream release: 3.0.5
Current version/release in rawhide: 2.5.5-2.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 11 Upstream Release Monitoring 2021-07-23 03:55:04 UTC
Latest upstream release: 3.1.0
Current version/release in rawhide: 2.5.5-2.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 12 Upstream Release Monitoring 2021-08-03 09:30:41 UTC
Latest upstream release: 3.1.1
Current version/release in rawhide: 3.0.5-2.fc35
URL: https://www.openexr.com/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/13289/

Comment 13 Orion Poplawski 2021-08-04 03:42:12 UTC
Any chance that updating to 3.1.1 will fix this?

Error: Transaction test error:
  file /usr/lib64/python3.10/site-packages/imath.so from install of python3-imath-3.0.2-5.fc35.x86_64 conflicts with file from package python3-openexr-2.5.5-2.fc35.x86_64

Comment 14 Richard Shaw 2021-08-04 12:11:11 UTC
Probably not but maybe. I haven't looked at the changes in detail yet because I'm still fighting getting everything moved over to 3.0 or the 2.5.5 compatibility package.

What package is this? It shouldn't be pulling in both Imath and OpenEXR 2. If you're using the openex2 package you don't need Imath as it wasn't separated out yet.

Comment 15 Richard Shaw 2021-08-04 12:56:19 UTC
FYI Here's the release notes:

https://github.com/AcademySoftwareFoundation/openexr/blob/v3.1.0/CHANGES.md#version-310-july-22-2021

I'm trying to finish cleaning up the current mess before even worrying about building it.

Comment 16 Ben Beasley 2021-08-04 12:57:21 UTC
In F34, openexr is at 2.5.5 and builds a python3-openexr package (https://src.fedoraproject.org/rpms/openexr/blob/f34/f/openexr.spec, and there is no imath package. This was true early in F35/Rawhide as well.

In F35, openexr is at 3.0.5 and no longer builds python3-openexr (https://src.fedoraproject.org/rpms/openexr/blob/rawhide/f/openexr.spec), and neither does openexr2 (https://src.fedoraproject.org/rpms/openexr2/blob/rawhide/f/openexr2.spec). So there is nothing providing python3-openexr, but it has not been Obsoleted either.

So if I understand what is happening correctly, until you provide a replacement python3-openexr based on 3.0, or at least obsolete python3-openexr < 2.5.5-3 (in which case there will be no python3-openexr in the distro), this conflict will persist.

Was python3-openexr *supposed* to go away?

Comment 17 Ben Beasley 2021-08-04 13:00:28 UTC
Come to think of it, you should probably have “Obsoletes: python3-openexr < 3.0” in python3-imath anyway, regardless of the fate of python3-openexr. Otherwise people can hit the conflict by installing python3-imath without upgrading python3-openexr.

Comment 18 Richard Shaw 2021-08-04 13:04:17 UTC
I believe so, there's just so many moving parts to what the ASWF has done upstream. IlmBase has been sucked into OpenEXR as of 2.5, and then with 3.0 they split out Imath and Half into a separate Imath package. 

The porting guide only indirectly addresses the python switch showing it exists for Imath and not for OpenEXR now:

https://github.com/AcademySoftwareFoundation/Imath/blob/master/docs/PortingGuide2-3.md

In either case I'll add an obsolete in the next OpenEXR build, but as far as *building* packages (in mock or in koji) the above advice is correct. You can't mix OpenEXR 2.5 and 3.0 w/ Imath. It's been a lot of fun, but I had to track down which packages were pulling in 2.5 and fix them one at a time.

Comment 19 Richard Shaw 2021-08-04 13:04:37 UTC
(In reply to Ben Beasley from comment #17)
> Come to think of it, you should probably have “Obsoletes: python3-openexr <
> 3.0” in python3-imath anyway, regardless of the fate of python3-openexr.
> Otherwise people can hit the conflict by installing python3-imath without
> upgrading python3-openexr.

I'll have to think about that one, maybe it belongs in both?

Comment 20 Ben Beasley 2021-08-04 13:21:07 UTC
Is there going to be a python3-openexr 3.x package eventually, or did Python support go away in 3.x?

If there will be a python3-openexr 3.x, it will obsolete python3-openexr 2.x by virtue of its version number, without a separate Obsoletes. (Either way, it seems python3-imath should still have an Obsoletes, due to the conflict.)

Comment 21 Ben Beasley 2021-08-04 13:24:05 UTC
(In reply to Ben Beasley from comment #20)
> Is there going to be a python3-openexr 3.x package eventually, or did Python
> support go away in 3.x?
> 
> If there will be a python3-openexr 3.x, it will obsolete python3-openexr 2.x
> by virtue of its version number, without a separate Obsoletes. (Either way,
> it seems python3-imath should still have an Obsoletes, due to the conflict.)

This comment reflects a total failure of reading comprehension on my part, as you addressed all of this.

Comment 22 Ben Beasley 2021-08-04 14:14:58 UTC
Revisiting this after sipping a little more coffee:

I downloaded the last python3-openexr package from https://koji.fedoraproject.org/koji/buildinfo?buildID=1760121. (It is, correctly, no longer in the repos or koji buildroot for Rawhide.) I then installed it into a clean Rawhide mock chroot. I found that its dependencies could be satisfied by the openexr2 compat package, so it shouldn’t cause any problems on existing installations as long as there is no attempt to install it in parallel with python3-imath.

> ======================================================================================================================
>  Package                             Architecture        Version                       Repository                Size
> ======================================================================================================================
> Installing:
>  python3-openexr                     aarch64             2.5.5-2.fc35                  @commandline             2.8 M
> Installing dependencies:
>  boost-python3                       aarch64             1.75.0-9.fc35                 fedora                    87 k
>  expat                               aarch64             2.4.1-2.fc35                  fedora                   105 k
>  mpdecimal                           aarch64             2.5.1-2.fc35                  fedora                   101 k
>  openexr2-libs                       aarch64             2.5.5-4.fc35                  fedora                   945 k
>  python-pip-wheel                    noarch              21.1.3-2.fc35                 fedora                   1.3 M
>  python-setuptools-wheel             noarch              57.4.0-1.fc35                 fedora                   505 k
>  python3                             aarch64             3.10.0~b4-3.fc35              fedora                    25 k
>  python3-libs                        aarch64             3.10.0~b4-3.fc35              fedora                   7.4 M
> 
> Transaction Summary
> ======================================================================================================================

That suggest to me that adding the Obsoletes to python3-imath should be good enough, and there is otherwise no harm in old copies of python3-openexr hanging around.

If the old python3-openexr couldn’t use openexr2-libs without a rebuild for some reason, or if the openexr2-libs package were eventually retired, then I think sending a PR to add it to fedora-obsolete-packages (https://src.fedoraproject.org/rpms/fedora-obsolete-packages) would probably be appropriate. A removed subpackage with dependency problems seems to be pretty much exactly the kind of situation that fedora-obsolete-packages is designed for.

Comment 23 Fedora Update System 2021-08-22 18:47:28 UTC
FEDORA-2021-09870962ce has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.